$(document).ready(function () {
    'use strict';
    $(".stop-button, .vol-unmute, #vol-value").hide();

    // Инициализация плеера
    // Для поддержки VAST/DAAST необходимо:
    // plugins: {'core': [HlsPlayer.VastAds] }
    // VastAdsConfig - см. описание API
    var hssplayer = new HlsPlayer.HlsWebPlayer(
        {
            "player": {
                parentId: "#player",
                width: 1,
                height: 1,
                chromeless: true,
                audioOnly: true,
                autoPlay: false,
                persistConfig: false,
                hlsjsConfig: {
                    levelLoadingTimeOut: 3000,
                    xhrSetup: function (xhr, url) {
                        xhr.withCredentials = true;
                    },
                },
                playbackConfig: {
                    crossorigin: 'use-credentials'
                },
                plugins: { 'core': [HlsPlayer.VastAds] },
                VastAdsConfig: {
                    daast: true,
                    bannersId: "banners",
                    timeout: 5000
                }
            }
        });

// Обработка слайдера громкости
    $('#vol-slider').slider({
        orientation: "horizontal",
        range: "min",
        min: 0,
        max: 100,
        step: 1,
        value: 90,
        slide: function (event, ui) {
            hssplayer.setVolume(ui.value)
            $("#vol-value").text(ui.value);
        }
    });
    $("#vol-value").text(90);

// Запуск проигрывания
    function play(event) {
        $(".stop-button").addClass("active")
        setTimeout(function () {$(".stop-button").removeClass("active")}, 100);
        $(".stop-button").show();
        $(".play-button").hide();

        hssplayer.load('//hls-02-europaplus.emgsound.ru/11/playlist.m3u8', 'banner.xml');
        hssplayer.play();
    }

// Остановка проигрывания
    function stop() {
        $(".play-button").addClass("active")
        setTimeout(function () {$(".play-button").removeClass("active")}, 100);

        hssplayer.stop();

        $(".stop-button").hide();
        $(".play-button").show();
    }

    $(".play-button").click(play);

    $(".stop-button").click(stop);

// Обработка кнопки включения/выключения звука
    $(".vol-mute, .vol-unmute").click(function () {
        if ($(".player-wrapper").hasClass("mute-active")) {
            hssplayer.unmute()
            $(".vol-unmute").hide();
            $(".vol-mute").show();
            $(".player-wrapper").removeClass("mute-active");
        } else {
            hssplayer.mute()
            $(".vol-mute").hide();
            $(".vol-unmute").show();
            $(".player-wrapper").addClass("mute-active");
        }
    });
});

